<?php

defined('_PS_VERSION_') or die();

class LeCMPPHelperAbstract{

    public function __construct(){

    }

    protected function _getCustomerByEmail($email, $ignore_guest = true){
        $sql = 'SELECT *
				FROM `'._DB_PREFIX_.'customer`
				WHERE `email` = \''.pSQL($email).'\'
					'.Shop::addSqlRestriction(Shop::SHARE_CUSTOMER).' AND `deleted` = 0'.
            ($ignore_guest ? ' AND `is_guest` = 0' : '');
        $result = Db::getInstance()->getRow($sql);
        return $result;
    }

    public function run($email, $passwd = null, $ignore_guest = true){
        $check = true;
        $result = $this->_getCustomerByEmail($email, $ignore_guest);
        if(!$result){
            return false;
        }

        $cus_pass = $result['passwd'];
        $check = $this->validatePassword($passwd, $cus_pass);
        if(!$check){
            return $check;
        }
        $id_customer = $result['id_customer'];
        $password = Tools::encrypt($passwd);
        $this->_updatePassById($id_customer, $password);
        $result['passwd'] = pSQL($password);
        return $result;
    }

    protected function _updatePassById($id, $pass){
        $query = "UPDATE `" . _DB_PREFIX_ . "customer` SET `passwd` = '" . pSQL($pass) . "' WHERE `id_customer` = '" . (int) $id . "'";
        DB::getInstance()->execute($query);
    }

    /**
     * Check pass
     * @param: string $pass : password
     * @param: string $encrypt : hash code pass
     * @return boolean
     */
    public function validatePassword($pass, $encrypt){
        return false;
    }
}